Subject: bug#14625: Erc nick coloring broken

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 27 Dec 2015 22:12:01 +0100

Antoine Levitt <[email-masked]> writes:

> I use option 2 + option 3 from
> http://www.emacswiki.org/emacs/ErcNickColors to color nicknames of
> people in ERC. I updated to trunk recently, and nick coloring broke (I
> only get plain old white). I bisected it to
>
> Author: Glenn Morris <[email-masked]>
> Date:   Wed May 29 20:19:04 2013 -0700
>
>     * erc/erc-backend.el: Require erc at run-time too (silences compilation)
>
> I think a bad interaction develops because I use erc-timestamp with
> erc-hide-timestamps set to t. What seems to happen is that the while
> loop in "option 3" seems to be stuck inside the timestamp region, and
> never goes around to coloring the text.
>
> I have tried to debug it but failed, as I have no idea as to what
> exactly this commit does. Any pointers on how I should proceed?

Can you post a recipe for how to reproduce this bug?  That is, starting
from "emacs -Q", what settings do you do, and what's the expected result?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no